---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Call -- Get Ai Recap

Gets the Ai Recap for a call.

Requires scope: ``ai_recap``

Rate limit: 12 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.ai_recap.ActionItemProto": {
        "properties": {
          "content": {
            "description": "Content of the action item.",
            "type": [
              "null",
              "string"
            ]
          },
          "edited": {
            "description": "Whether the content has been edited.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "format": {
            "description": "The format of the item.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "Action item ID.",
            "type": [
              "null",
              "string"
            ]
          },
          "target_short_key": {
            "description": "The short key of the target for the item.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Represents an action item in an Ai Recap.",
        "type": "object"
      },
      "protos.ai_recap.DispositionProto": {
        "properties": {
          "content": {
            "description": "Content of the disposition.",
            "type": [
              "null",
              "string"
            ]
          },
          "edited": {
            "description": "Whether the content has been edited.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "format": {
            "description": "The format of the item.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "Disposition ID.",
            "type": [
              "null",
              "string"
            ]
          },
          "target_short_key": {
            "description": "The short key of the target for the item.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Represents a disposition in an Ai Recap.",
        "type": "object"
      },
      "protos.ai_recap.PurposeProto": {
        "properties": {
          "category": {
            "description": "The category of the purpose.",
            "type": [
              "null",
              "string"
            ]
          },
          "content": {
            "description": "Content of the purpose.",
            "type": [
              "null",
              "string"
            ]
          },
          "edited": {
            "description": "Whether the content has been edited.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "format": {
            "description": "The format of the item.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "Purpose ID.",
            "type": [
              "null",
              "string"
            ]
          },
          "target_short_key": {
            "description": "The short key of the target for the item.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Represents a purpose item in an Ai Recap.",
        "type": "object"
      },
      "protos.ai_recap.SummaryProto": {
        "properties": {
          "content": {
            "description": "Content of the summary.",
            "type": [
              "null",
              "string"
            ]
          },
          "date_text_last_edited": {
            "description": "When the summary text was last edited, in milliseconds.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "edited": {
            "description": "Whether the content has been edited.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "format": {
            "description": "The summary format, such as short, medium, long or bullet.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "Summary ID.",
            "type": [
              "null",
              "string"
            ]
          },
          "null_summary": {
            "description": "Whether this is the fallback returned when a call is too short to summarize.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "target_short_key": {
            "description": "The short key of the target for the item.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Represents a summary item in an Ai Recap.",
        "type": "object"
      },
      "protos.call.AiRecapProto": {
        "properties": {
          "action_items": {
            "description": "The action items of the Ai Recap.",
            "items": {
              "$ref": "#/components/schemas/protos.ai_recap.ActionItemProto",
              "type": "object"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "call_id": {
            "description": "The ID of the call for which the Ai Recap was generated.",
            "type": [
              "null",
              "string"
            ]
          },
          "date_created": {
            "description": "The date and time when the Ai Recap was created, in milliseconds.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "date_modified": {
            "description": "The date and time when the Ai Recap was last modified, in milliseconds.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "disposition": {
            "$ref": "#/components/schemas/protos.ai_recap.DispositionProto",
            "description": "The disposition of the Ai Recap.",
            "type": [
              "null",
              "object"
            ]
          },
          "is_internal_call": {
            "description": "Whether the call was an internal call.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "purposes": {
            "description": "The purposes of the Ai Recap.",
            "items": {
              "$ref": "#/components/schemas/protos.ai_recap.PurposeProto",
              "type": "object"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "source": {
            "description": "The language model used to generate the Ai Recap.",
            "type": [
              "null",
              "string"
            ]
          },
          "summary": {
            "$ref": "#/components/schemas/protos.ai_recap.SummaryProto",
            "description": "The summary of the Ai Recap in the requested format.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "title": "Represents the full Ai Recap response payload for a single call.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/call/{id}/ai_recap": {
      "get": {
        "deprecated": false,
        "description": "Gets the Ai Recap for a call.\n\nRequires scope: ``ai_recap``\n\nRate limit: 12 per minute.",
        "operationId": "call.get_ai_recap",
        "parameters": [
          {
            "description": "The call's id.",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          },
          {
            "description": "The format of the summary to retrieve e.g. short, medium, long, bullet.",
            "in": "query",
            "name": "summary_format",
            "required": false,
            "schema": {
              "default": "medium",
              "enum": [
                "bullet",
                "long",
                "medium",
                "short"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/protos.call.AiRecapProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Call -- Get Ai Recap",
        "tags": [
          "call"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            1,
            5
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```